.StashPage {
    @include mobile {
        margin-top: 0;
    }

    &-Heading {
        display: inline-block;
    }

    &-ProductCount {
        display: inline-block;
        margin-left: 16px;

        @include mobile {
            margin-top: 10px;
            float: right;
        }
    }

    &-Empty {
        margin-top: 30px;
        text-align: center;

        @include after-mobile {
            margin-bottom: 60px;
        }

        img {
            min-height: 219px;
            max-width: 270px;
            margin-bottom: 20px;
        }

        > p {
            &:nth-of-type(1) {
                font-size: 16px;
            }

            &:nth-of-type(2) {
                margin-bottom: 25px;
                font-size: 12px;
            }
        }

        a.Button {
            @include after-mobile {
                min-width: 290px;
            }
        }
    }

    &-Products {
        display: grid;
        margin-top: 25px;
        margin-bottom: 15px;
        grid-template-columns: repeat(4, 1fr);
        grid-auto-rows: max-content;
        grid-column-gap: 2rem;

        @include tablet {
            grid-template-columns: repeat(3, 1fr);
        }

        @include mobile {
            border: 0;
            grid-template-columns: repeat(2, 1fr);
            grid-column-gap: 1rem;
        }

        @include after-mobile {
            grid-column: 2;
        }
    }
}
